For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all meter value calculations
      • POSTCreate a meter value calculation
      • GETGet a meter value calculation by resource ID
      • DELDelete a meter value calculation by resource ID
      • PATCHUpdate a meter value calculation
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIMeter Value Calculations

Get a list of all meter value calculations

GET
/v:version/meter-value-calculations
GET
/v:version/meter-value-calculations
$curl https://test.api.solvimon.com/v1/meter-value-calculations \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "name": "string",
8 "description": "string",
9 "calculation_type": "SUM",
10 "persist": true,
11 "meter_id": "string",
12 "meter": {
13 "object_type": "string",
14 "id": "string",
15 "reference": "string",
16 "name": "string",
17 "description": "string",
18 "status": "DRAFT",
19 "meter_values": [
20 {
21 "id": "string",
22 "object": {
23 "object_type": "string",
24 "id": "string",
25 "reference": "string",
26 "name": "string",
27 "description": "string",
28 "status": "DRAFT",
29 "type": "NUMBER"
30 },
31 "required": true
32 }
33 ],
34 "meter_properties": [
35 {
36 "id": "string",
37 "object": {
38 "object_type": "string",
39 "id": "string",
40 "reference": "string",
41 "name": "string",
42 "description": "string",
43 "status": "DRAFT",
44 "type": "NUMBER",
45 "enum_values": [
46 "string"
47 ]
48 },
49 "required": true
50 }
51 ]
52 },
53 "meter_value_id": "string",
54 "meter_value": {
55 "object_type": "string",
56 "id": "string",
57 "reference": "string",
58 "name": "string",
59 "description": "string",
60 "status": "DRAFT",
61 "type": "NUMBER"
62 },
63 "meter_property_id": "string",
64 "meter_property": {
65 "object_type": "string",
66 "id": "string",
67 "reference": "string",
68 "name": "string",
69 "description": "string",
70 "status": "DRAFT",
71 "type": "NUMBER",
72 "enum_values": [
73 "string"
74 ]
75 }
76 }
77 ]
78}
Was this page helpful?
Previous

Create a meter value calculation

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error